package bootstrap

import (
	"framework_v2/internal/handlers/controllers/user"
	"framework_v2/internal/middleware/http"
	"framework_v2/internal/providers"
	"github.com/gin-gonic/gin"
)

func InitApiRoutes() {
	var router = *providers.MustGet[gin.Engine]()

	router.GET("/", http.MiddlewareJSONResponse, http.RequireJWTIDToken, user.CurrentUser)
}
