package user

import (
	"framework_v2/internal/logic"
	"github.com/gin-gonic/gin"
)

var AuthLogic = logic.NewAuthLogic()

func CurrentUser(c *gin.Context) {
	c.JSON(200, gin.H{
		"IP":        c.ClientIP(),
		"Valid":     AuthLogic.GinUser(c).Valid,
		"UserEmail": AuthLogic.GinUser(c).Token.Email,
		"UserId":    AuthLogic.GinUser(c).Token.Sub,
	})
}
